<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

/* * ***********************************************************************
 * RedShop App for Watchful
 * Copyright (c) 2006-2020 Watchful
 * ************************************************************************
 * Watchful.net is a web site monitoring and security service.
 * 
 * Although Watchful.net is a paid service, this program is free software;
 * you can redistribute it and/or modify it under the terms of the GNU 
 * General Public License as published by the Free Software Foundation; 
 * either version 2 of the License, or (at your option) any later version.
 *
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 * ************************************************************************
 * Get the latest version of this program at: https://watchful.net
 * *********************************************************************** */

jimport('joomla.form.formfield');
class JFormFieldStatus extends JFormField
{
    protected $type = 'status';

    protected function getInput()
    {
        $options = array();
        if (!is_array($this->value))
            $this->value = array($this->value);

        $db = & JFactory::getDbo();
        $query = "SELECT order_status_code, order_status_name FROM #__redshop_order_status";
        $db->setQuery($query);
        if ($statuses = $db->loadObjectList())
        {
            foreach ($statuses as $status)
            {
                $checked = in_array($status->order_status_code, $this->value) ? ' checked="checked"' : ' ';
                if (version_compare(JVERSION, '3.0.0', 'lt'))
                {
                    $options[] = '<input name="' . $this->name . '" type="checkbox"' . $checked . 'value="' . $status->order_status_code . '"><label>' . $status->order_status_name . '</label>';
                }
                else
                {
                    $options[] = '<input name="' . $this->name . '" type="checkbox"' . $checked . 'value="' . $status->order_status_code . '">' . $status->order_status_name;
                }
            }
        }
        if (version_compare(JVERSION, '3.0.0', 'lt'))
        {
            return '<fieldset class="radio">' . implode('<br style="clear: left"/>', $options) . '</fieldset>';
        }
        else
        {
            return implode("<br />", $options);
        }
    }

}
